! A test program
!
! The main program begins here
program this_is_a_program
!
    implicit none
    integer :: i, open_status
    integer :: idx(1:20)
    double precision :: sine(1:20), copy_angle(1:20), copy_sine(1:20)
    double precision, parameter :: pi = atan(1.0d0)*4.0d0

    do i=1,20
        sine(i) = sin(i*pi/10.0d0)
    end do

    open(unit=100,file='sine_function.txt',status='unknown')
    write(100,*) "Sine Function"
    write(100,'(A8,2A14)') "i", "angle", "value"
    do i=1,20
        write(100,'(I8,2F14.8)') i, i*pi/10.0d0, sine(i)
    end do
    close(unit=100)
!

    open(110,file='sine_function.txt',status='unknown')
    read(110,*)
    read(110,*)
    do i=1,20
        read(110,*) idx(i), copy_angle(i), copy_sine(i)
    end do
    close(110)

    write(*,*)
    do i=1,20
        write(*,'(I8,2F14.8)') idx(i), copy_angle(i), copy_sine(i)
    end do
    write(*,*)

    open(120,file='test_append.txt',status='unknown',position='append')
    write(120,*)
    write(120,*) "Add one more line."
    close(120)

    open (unit = 10, file = "sine_function.txt", status = "old", &
          action = "read", position = "rewind", &
          iostat = open_status)
    close (10)

end program this_is_a_program
!

