! A test program
!
! The main program begins here
program this_is_a_program
! always type "implicit none" here
    implicit none
!
    integer :: i, start = 1
    integer(4) :: j
    integer(8) :: k
!
    real :: angle1, angle2 = 1.5
    real(4) :: angle3
!
    double precision :: acc1, acc2 = 3.0d0
    real(8) :: acc3
!
    complex :: plane1, plane2
    complex(4) :: plane3
    complex(8) :: plane4

    character(20) :: str1
    character(20) :: str2

    integer, parameter :: dozen = 12
    real, parameter :: pi_real = 3.141592653589793238
    double precision, parameter :: pi_double = 3.141592653589793238d0

    i = 2
    j = 3

    write(*,*) i,j,start

    j = 30000000
!   j = 3000000000_8  ! too big
    k = 3000000000_8   ! integer(8)
    write(*,'(3I15)') i, j, k
    write(*,'(3I15,/)') kind(i), kind(j), kind(k)
!
    angle1 = 3.1
    angle3 = 4.2
    write(*,*) angle1, angle2, angle3

    angle3 = 1.0/7.0
    write(*,'(F18.12,/)') angle3

    acc1 = 3.141592653589793238d0
    acc3 = 1.0d0/7.0d0
    write(*,'(3F22.18)') acc1, acc2, acc3
    write(*,'(4I8)') kind(angle1), kind(angle3), kind(acc1), kind(acc3)

    acc1 = 1.0d5
    acc2 = 2d4
    acc3 = 4d-5
    write(*,'(3F20.10,/)') acc1, acc2, acc3
!
    acc1 = 2.0d0**0.5d0
    acc2 = 2.0**0.5
    acc3 = 2.0**0.5d0
    angle1 = 2.0d0**0.5d0
    write(*,'(4F20.15,/)') acc1, acc2, acc3, angle1
!

    plane1 = (1.0d0,2.0d0)
    plane2 = (2.0d0,-1.0d0)
    write(*,*) plane1, plane2

    plane3 = plane1*plane2

    write(*,*) plane3
    write(*,'(2F15.10,/)') plane3

    plane3 = (1.0d0,2.0d0)/7.0d0
    plane4 = (1.0d0,2.0d0)/7.0d0

    write(*,'(2F20.15)') plane3
    write(*,'(2F20.15)') plane4
    write(*,'(3I8,/)') kind(plane1), kind(plane3), kind(plane4)
    
    str1 = "Hello, World!"
    str2 = "Fortran " // "2018"
    write(*,*) str1
    write(*,*) str2
    
    write(*,*)
    write(*,*) dozen
!   dozen = 20
!   pi = 3.141592653589793238d0

    write(*,'(2F20.15)') pi_real, pi_double

end program this_is_a_program
