! A test program
!
! The main program begins here
program this_is_a_program
!
    implicit none
    integer :: i,n
    integer, allocatable :: num1(:), num2(:,:)

    n = 4
    allocate(num1(1:n),num2(1:2,1:n))

    do i=1,n
        num1(i) = i
        num2(1,i) = i
    end do

    call mysquare1(num1(:),n)
    write(*,*) num1(:)
!
    call mysquare2(num2(1,:),num2(2,:),n)
!
    write(*,*) num2(1,:)
    write(*,*) num2(2,:)
!
    call mysquare2(num2(1,1:2),num2(1,3:4),2)
!
    write(*,*) num2(1,:)
!
    deallocate(num1,num2)
!
end program this_is_a_program
!
!This is a subroutine
subroutine mysquare1(aaa,nnn)
!
    implicit none

    integer, intent(in) :: nnn
    integer, intent(inout) :: aaa(1:nnn)

    integer :: i
!
    do i=1,nnn
        aaa(i) = aaa(i)**2
    end do
!
end subroutine mysquare1
!
subroutine mysquare2(aaa,bbb,nnn)
!
    implicit none

    integer, intent(in) :: nnn
    integer, intent(in) :: aaa(1:nnn)
    integer, intent(out) :: bbb(1:nnn)

    integer :: i
!
    do i=1,nnn
        bbb(i) = aaa(i)**2
    end do
!
end subroutine mysquare2

